/**
 * AUSF API
 * AUSF UE Authentication Service. © 2020, 3GPP Organizational Partners (ARIB,
 * ATIS, CCSA, ETSI, TSDSI, TTA, TTC). All rights reserved.
 *
 * The version of the OpenAPI document: 1.1.1
 *
 *
 * NOTE: This class is auto generated by OpenAPI Generator
 * (https://openapi-generator.tech). https://openapi-generator.tech Do not edit
 * the class manually.
 */

/*
 * Licensed to the OpenAirInterface (OAI) Software Alliance under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The OpenAirInterface Software Alliance licenses this file to You under
 * the OAI Public License, Version 1.1  (the "License"); you may not use this
 *file except in compliance with the License. You may obtain a copy of the
 *License at
 *
 *      http://www.openairinterface.org/?page_id=698
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *-------------------------------------------------------------------------------
 * For more information about the OpenAirInterface (OAI) Software Alliance:
 *      contact@openairinterface.org
 */

#include "AuthenticationResultDeletionApiImpl.h"
#include "logger.hpp"

namespace oai {
namespace ausf_server {
namespace api {

using namespace oai::ausf_server::model;

AuthenticationResultDeletionApiImpl::AuthenticationResultDeletionApiImpl(
    std::shared_ptr<Pistache::Rest::Router> rtr, ausf_app* ausf_app_inst,
    std::string address)
    : AuthenticationResultDeletionApi(rtr),
      m_ausf_app(ausf_app_inst),
      m_address(address) {}

void AuthenticationResultDeletionApiImpl::delete5g_aka_authentication_result(
    const std::string& authCtxId, Pistache::Http::ResponseWriter& response) {
  Logger::ausf_server().info("delete5g_aka_authentication_result");
  response.send(
      Pistache::Http::Code::Not_Implemented,
      "delete5g_aka_authentication_result API has not been implemented yet!\n");
}
void AuthenticationResultDeletionApiImpl::delete_eap_authentication_result(
    const std::string& authCtxId, Pistache::Http::ResponseWriter& response) {
  Logger::ausf_server().info("delete_eap_authentication_result");
  response.send(
      Pistache::Http::Code::Not_Implemented,
      "delete_eap_authentication_result API has not been implemented yet!\n");
}

}  // namespace api
}  // namespace ausf_server
}  // namespace oai
